OrcProto.FooterOrBuilder (ORC Core 1.2.1 API)
Date: 2016-10-19

org.apache.orc

## Interface OrcProto.FooterOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    OrcProto.Footer, OrcProto.Footer.Builder
  Enclosing class:
    OrcProto

      public static interface OrcProto.FooterOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getContentLength()` `optional uint64 contentLength = 2;`
    `long` | `getHeaderLength()` `optional uint64 headerLength = 1;`
    `OrcProto.UserMetadataItem` | `getMetadata(int index)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `int` | `getMetadataCount()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `List<OrcProto.UserMetadataItem>` | `getMetadataList()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `OrcProto.UserMetadataItemOrBuilder` | `getMetadataOrBuilder(int index)` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `List<? extends OrcProto.UserMetadataItemOrBuilder>` | `getMetadataOrBuilderList()` `repeated .orc.proto.UserMetadataItem metadata = 5;`
    `long` | `getNumberOfRows()` `optional uint64 numberOfRows = 6;`
    `int` | `getRowIndexStride()` `optional uint32 rowIndexStride = 8;`
    `OrcProto.ColumnStatistics` | `getStatistics(int index)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `int` | `getStatisticsCount()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `List<OrcProto.ColumnStatistics>` | `getStatisticsList()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.ColumnStatisticsOrBuilder` | `getStatisticsOrBuilder(int index)` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `List<? extends OrcProto.ColumnStatisticsOrBuilder>` | `getStatisticsOrBuilderList()` `repeated .orc.proto.ColumnStatistics statistics = 7;`
    `OrcProto.StripeInformation` | `getStripes(int index)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `int` | `getStripesCount()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `List<OrcProto.StripeInformation>` | `getStripesList()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.StripeInformationOrBuilder` | `getStripesOrBuilder(int index)` `repeated .orc.proto.StripeInformation stripes = 3;`
    `List<? extends OrcProto.StripeInformationOrBuilder>` | `getStripesOrBuilderList()` `repeated .orc.proto.StripeInformation stripes = 3;`
    `OrcProto.Type` | `getTypes(int index)` `repeated .orc.proto.Type types = 4;`
    `int` | `getTypesCount()` `repeated .orc.proto.Type types = 4;`
    `List<OrcProto.Type>` | `getTypesList()` `repeated .orc.proto.Type types = 4;`
    `OrcProto.TypeOrBuilder` | `getTypesOrBuilder(int index)` `repeated .orc.proto.Type types = 4;`
    `List<? extends OrcProto.TypeOrBuilder>` | `getTypesOrBuilderList()` `repeated .orc.proto.Type types = 4;`
    `boolean` | `hasContentLength()` `optional uint64 contentLength = 2;`
    `boolean` | `hasHeaderLength()` `optional uint64 headerLength = 1;`
    `boolean` | `hasNumberOfRows()` `optional uint64 numberOfRows = 6;`
    `boolean` | `hasRowIndexStride()` `optional uint32 rowIndexStride = 8;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasHeaderLength

          boolean hasHeaderLength()

      `optional uint64 headerLength = 1;`

    - #### getHeaderLength

          long getHeaderLength()

      `optional uint64 headerLength = 1;`

    - #### hasContentLength

          boolean hasContentLength()

      `optional uint64 contentLength = 2;`

    - #### getContentLength

          long getContentLength()

      `optional uint64 contentLength = 2;`

    - #### getStripesList

          List<OrcProto.StripeInformation> getStripesList()

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### getStripes

          OrcProto.StripeInformation getStripes(int index)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### getStripesCount

          int getStripesCount()

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### getStripesOrBuilderList

          List<? extends OrcProto.StripeInformationOrBuilder> getStripesOrBuilderList()

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### getStripesOrBuilder

          OrcProto.StripeInformationOrBuilder getStripesOrBuilder(int index)

      `repeated .orc.proto.StripeInformation stripes = 3;`

    - #### getTypesList

          List<OrcProto.Type> getTypesList()

      `repeated .orc.proto.Type types = 4;`

    - #### getTypes

          OrcProto.Type getTypes(int index)

      `repeated .orc.proto.Type types = 4;`

    - #### getTypesCount

          int getTypesCount()

      `repeated .orc.proto.Type types = 4;`

    - #### getTypesOrBuilderList

          List<? extends OrcProto.TypeOrBuilder> getTypesOrBuilderList()

      `repeated .orc.proto.Type types = 4;`

    - #### getTypesOrBuilder

          OrcProto.TypeOrBuilder getTypesOrBuilder(int index)

      `repeated .orc.proto.Type types = 4;`

    - #### getMetadataList

          List<OrcProto.UserMetadataItem> getMetadataList()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### getMetadata

          OrcProto.UserMetadataItem getMetadata(int index)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### getMetadataCount

          int getMetadataCount()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### getMetadataOrBuilderList

          List<? extends OrcProto.UserMetadataItemOrBuilder> getMetadataOrBuilderList()

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### getMetadataOrBuilder

          OrcProto.UserMetadataItemOrBuilder getMetadataOrBuilder(int index)

      `repeated .orc.proto.UserMetadataItem metadata = 5;`

    - #### hasNumberOfRows

          boolean hasNumberOfRows()

      `optional uint64 numberOfRows = 6;`

    - #### getNumberOfRows

          long getNumberOfRows()

      `optional uint64 numberOfRows = 6;`

    - #### getStatisticsList

          List<OrcProto.ColumnStatistics> getStatisticsList()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### getStatistics

          OrcProto.ColumnStatistics getStatistics(int index)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### getStatisticsCount

          int getStatisticsCount()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### getStatisticsOrBuilderList

          List<? extends OrcProto.ColumnStatisticsOrBuilder> getStatisticsOrBuilderList()

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### getStatisticsOrBuilder

          OrcProto.ColumnStatisticsOrBuilder getStatisticsOrBuilder(int index)

      `repeated .orc.proto.ColumnStatistics statistics = 7;`

    - #### hasRowIndexStride

          boolean hasRowIndexStride()

      `optional uint32 rowIndexStride = 8;`

    - #### getRowIndexStride

          int getRowIndexStride()

      `optional uint32 rowIndexStride = 8;`

Copyright © 2013–2016 The Apache Software Foundation. All rights reserved.